//  Copyright (c) 2012 Dennco Project
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

//
//  Created by tkawata on 12/30/2011.
//

#ifndef dennco_TKUICell_h
#define dennco_TKUICell_h

#include <string>

#include "TKCell.h"

class TKUICell : public TKCell
{
public:
	TKUICell(TKContainer *container, std::string location, std::string name) : TKCell(container, location, name, true) , mIsInput(false) {}
    virtual ~TKUICell() {}
	virtual bool    doTick(float time);
    
    void            setValue(float value);
    float           getValue();
    bool            isUIInputCell() { return mIsInput; }
    
    const static std::string RECEPTORNAME;
    
public:
    bool            mIsInput;
};

#endif
